librevenge::RVNGHTMLTextTableStyleManager Class Reference documentation

librevenge::RVNGHTMLTextTableStyleManager Class Reference

Small class to manage the tables style. More...

`#include <RVNGHTMLTextTableStyle.h>`

## Public Member Functions
| RVNGHTMLTextTableStyleManager ()
| constructor
| ~RVNGHTMLTextTableStyleManager ()
| destructor
void | openTable (RVNGPropertyListVector const &colList)
| open a table
void | closeTable ()
| close a table
std::string | getCellClass (RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist
std::string | getRowClass (RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist
void | send (std::ostream &out)
| send the data to the stream

## Private Member Functions
std::string | getCellContent (RVNGPropertyList const &pList) const
| convert a property list in a html content string
bool | getColumnsWidth (int i, int numSpanned, double &w) const
| try to return the col width
| RVNGHTMLTextTableStyleManager (RVNGHTMLTextTableStyleManager const &orig)
RVNGHTMLTextTableStyleManager | operator= (RVNGHTMLTextTableStyleManager const &orig)

## Static Private Member Functions
static std::string | getRowContent (RVNGPropertyList const &pList)
| convert a property list in a html content string

## Private Attributes
std::map< std::string, std::string > | m_cellContentNameMap
| a map cell content -> name
std::map< std::string, std::string > | m_rowContentNameMap
| a map row content -> name
std::vector< std::vector< double > > | m_columWitdhsStack
| a stack of column width (in inches )

## Detailed Description

Small class to manage the tables style.

## Constructor & Destructor Documentation

## ◆ RVNGHTMLTextTableStyleManager() [1/2]

librevenge::RVNGHTMLTextTableStyleManager::RVNGHTMLTextTableStyleManager | ( |  | ) |
| inline

constructor

Referenced by operator=(), and RVNGHTMLTextTableStyleManager().

## ◆ ~RVNGHTMLTextTableStyleManager()

librevenge::RVNGHTMLTextTableStyleManager::~RVNGHTMLTextTableStyleManager | ( |  | ) |
| inline

destructor

## ◆ RVNGHTMLTextTableStyleManager() [2/2]

librevenge::RVNGHTMLTextTableStyleManager::RVNGHTMLTextTableStyleManager | ( | RVNGHTMLTextTableStyleManager const & | orig | ) |
| private

## Member Function Documentation

## ◆ closeTable()

void librevenge::RVNGHTMLTextTableStyleManager::closeTable | ( |  | ) |

close a table

## ◆ getCellClass()

std::string librevenge::RVNGHTMLTextTableStyleManager::getCellClass | ( | RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

## ◆ getCellContent()

std::string librevenge::RVNGHTMLTextTableStyleManager::getCellContent | ( | RVNGPropertyList const & | pList | ) | const
| private

convert a property list in a html content string

Referenced by getCellClass().

## ◆ getColumnsWidth()

bool librevenge::RVNGHTMLTextTableStyleManager::getColumnsWidth | ( | int | i,
|  | int | numSpanned,
|  | double & | w ) const
| private

try to return the col width

Referenced by getCellContent().

## ◆ getRowClass()

std::string librevenge::RVNGHTMLTextTableStyleManager::getRowClass | ( | RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

## ◆ getRowContent()

std::string librevenge::RVNGHTMLTextTableStyleManager::getRowContent | ( | RVNGPropertyList const & | pList | ) |
| staticprivate

convert a property list in a html content string

Referenced by getRowClass().

## ◆ openTable()

void librevenge::RVNGHTMLTextTableStyleManager::openTable | ( | RVNGPropertyListVector const & | colList | ) |

open a table

## ◆ operator=()

RVNGHTMLTextTableStyleManager librevenge::RVNGHTMLTextTableStyleManager::operator= | ( | RVNGHTMLTextTableStyleManager const & | orig | ) |
| private

## ◆ send()

void librevenge::RVNGHTMLTextTableStyleManager::send | ( | std::ostream & | out | ) |

send the data to the stream

## Member Data Documentation

## ◆ m_cellContentNameMap

std::map<std::string, std::string> librevenge::RVNGHTMLTextTableStyleManager::m_cellContentNameMap
| private

a map cell content -> name

Referenced by getCellClass(), RVNGHTMLTextTableStyleManager(), and send().

## ◆ m_columWitdhsStack

std::vector<std::vector<double> > librevenge::RVNGHTMLTextTableStyleManager::m_columWitdhsStack
| private

a stack of column width (in inches )

Referenced by closeTable(), getColumnsWidth(), openTable(), and RVNGHTMLTextTableStyleManager().

## ◆ m_rowContentNameMap

std::map<std::string, std::string> librevenge::RVNGHTMLTextTableStyleManager::m_rowContentNameMap
| private

a map row content -> name

Referenced by getRowClass(), RVNGHTMLTextTableStyleManager(), and send().

The documentation for this class was generated from the following files:

- RVNGHTMLTextTableStyle.h
- RVNGHTMLTextTableStyle.cpp